Query Chunks
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/query \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/query"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"content": "<string>",
"contentLength": 123,
"isEnabled": true
}Query Chunks
Semantic search over a knowledgebase
GET
/
v1
/
projects
/
{projectId}
/
knowledgebases
/
{knowledgebaseId}
/
query
Query Chunks
Request
GET https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/query
Path Parameters
string
required
The project ID
string
required
The knowledgebase ID to query
Headers
string
required
Bearer token using your developer key
Query Parameters
string
required
The search query
number
Maximum number of results to return. Defaults to
5.number
Minimum relevance score (0–1) for chunks to be included. Defaults to
0.3.Response
Returns an array of chunks ordered by relevance.string
Unique identifier for the chunk
string
Chunk text content
number
Length of the chunk content in characters
boolean
Whether the chunk participates in search
Example
curl "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/kb_abc123/query?q=search_term&topK=5&scoreThreshold=0.3" \
-H "Authorization: Bearer dk_your_key"
[
{
"id": "chunk_abc123",
"content": "The product features include real-time analytics...",
"contentLength": 82,
"isEnabled": true
}
]
⌘I
